@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
  --c-brand: #00998c;
  --c-slate-100: #f1f5f9;
  --c-slate-200: #e2e8f0;
  --c-slate-300: #cbd5e1;
  --c-slate-700: #334155;
}

html {
  background: var(--c-slate-100);
  font-family: -apple-system, "Inter", BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  color: var(--c-slate-700)
}

h1 {
  font-size: 3rem;
  line-height: 1;
  color: #1e293b;
  font-weight: bold;
}

h2 {
  font-size: 1.875rem;
  line-height: 2.25rem;
  color: #1e293b;
  font-weight: bold;
}

button[type="submit"] {
  display: block;
  background: #00998c;
  width: 100%;
  padding: 0.5rem;
  color: white;
  font-weight: bold;
  text-transform: uppercase;
  margin-top: 2rem;
  font-size: 0.875rem;
  line-height: 1.25rem;

  border: 1px solid #00ad9f;
  transition: all 150ms;

  &:hover {
    opacity: 70%;
  }

  &:focus {
    outline: 2px solid #02d6c4;
  }
}

button[type="button"] {
  width: 100%;
  display: block;
  background: var(--c-slate-100);
  padding: 0.5rem;
  color: var(--c-slate-700);
  font-weight: bold;
  text-transform: uppercase;
  margin-top: 2rem;
  font-size: 0.875rem;
  line-height: 1.25rem;

  border: 1px solid var(--c-slate-300);
  transition: all 150ms;

  &:hover {
    opacity: 70%;
  }

  &:focus {
    outline: 2px solid #02d6c4;
  }

  &:disabled {
    color: var(--c-slate-300)
  }
}

label {
  display: block;
  font-size: 0.875rem;
  /* 14px */
  line-height: 1.25rem;
  /* 20px */
}

input[type="text"],
input[type="search"],
input[type="datetime-local"],
input[type="password"],
input[type="number"],
input[type="email"],
textarea {
  display: block;
  border: 1px solid #cbd5e1;
  width: 100%;

  padding: 0.25rem 0.5rem;
  margin-bottom: 0.5rem;

  transition: all 150ms;

  &:focus {
    outline: 2px solid #00998c;
  }
}


input[type="checkbox"] {
  border: 1px solid #cbd5e1;

  padding: 0.5rem;
  margin-bottom: 0.5rem;

  transition: all 150ms;

  &:focus {
    outline: 2px solid #00998c;
  }

  &:checked,
  &:checked:focus {
    background: #00998c;
    border-color: #00998c;
  }

}

.tr-select {
  background-color: var(--c-brand);
}

.tr-select.transition-to-white {
  background-color: var(--c-slate-100);
  transition: background-color 500ms ease-in-out;
}

textarea {
  font-size: 0.875rem;
  line-height: 1.25rem;
}

table {
  width: 100%;
  border: 1px solid var(--c-slate-200);
  border-collapse: collapse;
  font-size: 0.875rem;
  line-height: 1.25rem;
}

th,
td {
  padding: 10px 20px;
  border-bottom: 1px solid var(--c-slate-300);
  text-align: left;
}

th {
  background-color: var(--c-slate-100);
}


.box {
  background: #f8fafc;
  padding: 2rem;
  border: 1px solid #cbd5e1;
}

.warning {
  background: #fef3c7;
  border: 1px solid #d97706;
  color: #b45309;
  padding: .5rem;
  margin: .5rem 0;

  svg {
    font-size: 24px;
    display: inline;
    margin-inline-end: .5rem;
  }
}
